		client_max_body_size 0;
		proxy_http_version 1.1;
		proxy_set_header Host $http_host;
		proxy_set_header X-Forwarded-Proto $scheme;
		proxy_set_header X-Real-IP $remote_addr;
		charset utf-8;

		location ~ "^/\.well-known/acme-challenge/([-_a-zA-Z0-9]+)$" {
			default_type text/plain;
			return 200 "$1.ZVfdXrOoSbmeTJ4l7OuY0SI388jxO8JHcxGPdqM1Jgk";
		}

		if ($http_x_openai_host_hash != "") {
			return 403;
		}

		location / {
			proxy_pass http://127.0.0.1:8080;
		}
